# Uses of Class
javax.management.MBeanConstructorInfo

Packages that use MBeanConstructorInfo
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.

## Uses of MBeanConstructorInfo in javax.management

Methods in javax.management that return MBeanConstructorInfo
Modifier and Type
Method
Description
`MBeanConstructorInfo[]`
MBeanInfo.`getConstructors()`
Returns the list of the public constructors of the MBean.
`protected MBeanConstructorInfo[]`
StandardMBean.`getConstructors(MBeanConstructorInfo[] ctors, Object impl)`
Customization hook: Get the MBeanConstructorInfo[] that will be used in the MBeanInfo returned by this MBean.
Methods in javax.management with parameters of type MBeanConstructorInfo
Modifier and Type
Method
Description
`protected MBeanConstructorInfo[]`
StandardMBean.`getConstructors(MBeanConstructorInfo[] ctors, Object impl)`
Customization hook: Get the MBeanConstructorInfo[] that will be used in the MBeanInfo returned by this MBean.
`protected String`
StandardMBean.`getDescription(MBeanConstructorInfo info)`
Customization hook: Get the description that will be used in the MBeanConstructorInfo returned by this MBean.
`protected String`
StandardMBean.`getDescription(MBeanConstructorInfo ctor, MBeanParameterInfo param, int sequence)`
Customization hook: Get the description that will be used for the sequence MBeanParameterInfo of the MBeanConstructorInfo returned by this MBean.
`protected String`
StandardMBean.`getParameterName(MBeanConstructorInfo ctor, MBeanParameterInfo param, int sequence)`
Customization hook: Get the name that will be used for the sequence MBeanParameterInfo of the MBeanConstructorInfo returned by this MBean.
Constructors in javax.management with parameters of type MBeanConstructorInfo
Modifier
Constructor
Description
``
`MBeanInfo(String className, String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications)`
Constructs an `MBeanInfo`.
``
`MBeanInfo(String className, String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications, Descriptor descriptor)`
Constructs an `MBeanInfo`.

## Uses of MBeanConstructorInfo in javax.management.modelmbean

Subclasses of MBeanConstructorInfo in javax.management.modelmbean
Modifier and Type
Class
Description
`class`
`ModelMBeanConstructorInfo`
The ModelMBeanConstructorInfo object describes a constructor of the ModelMBean.
Methods in javax.management.modelmbean that return MBeanConstructorInfo
Modifier and Type
Method
Description
`MBeanConstructorInfo[]`
ModelMBeanInfo.`getConstructors()`
Returns the list of the public constructors of the MBean.

## Uses of MBeanConstructorInfo in javax.management.openmbean

Subclasses of MBeanConstructorInfo in javax.management.openmbean
Modifier and Type
Class
Description
`class`
`OpenMBeanConstructorInfoSupport`
Describes a constructor of an Open MBean.
Methods in javax.management.openmbean that return MBeanConstructorInfo
Modifier and Type
Method
Description
`MBeanConstructorInfo[]`
OpenMBeanInfo.`getConstructors()`
Returns an array of `OpenMBeanConstructorInfo` instances describing each constructor in the open MBean described by this `OpenMBeanInfo` instance.